/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: IconComboBox.java - gui/components
 * Version: 1.0.0
 * Last modified: 2008/07/23 23:44 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.gui.components;

import javax.swing.JComboBox;

import net.reneknipschild.cheesecaskets.tools.BitmapLoader;

public class IconComboBox extends JComboBox {
	private static final long serialVersionUID = 1L;

	public void addItem(String icon, String text) {
		this.addItem("<html><table cellpadding=2 cellspacing=0><tr><td><img src=\"" + BitmapLoader.getIcon(icon) + "\"></td><td>" + text + "</td></tr></table></html>");
	}
}