/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: Browser.java - tools
 * Version: 1.0.0
 * Last modified: 2008/10/03 14:30 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.tools;

import java.awt.Desktop;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

public class Browser {
	public static void open(String uri) {
		try {
			Desktop.getDesktop().browse(new URI(uri));
		} catch (IOException exception) {
			exception.printStackTrace();
		} catch (URISyntaxException exception) {
			exception.printStackTrace();
		}
	}
}