/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: ColorConverter.java - tools
 * Version: 1.0.0
 * Last modified: 2008/07/23 23:44 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.tools;

import java.awt.Color;

public class ColorConverter {
	public static String getHexStringFromColor(Color color) {
		String hex = "";
		hex = Integer.toHexString(color.getRGB() & 0x00ffffff).toString();
		if (hex.length() < 6) {
			for (int i = 6 - hex.length(); i > 0; i--) {
				hex = "0" + hex;
			}
		}
		return hex;
	}

	public static Color getColorFromHexString(String hexString) {
		int r = Integer.parseInt(hexString.substring(0, 2), 16);
		int g = Integer.parseInt(hexString.substring(2, 4), 16);
		int b = Integer.parseInt(hexString.substring(4, 6), 16);
		return new Color(r, g, b);
	}
}