/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: BetaInfo.java - gui
 * Version: 1.0.0
 * Last modified: 2008/10/10 22:56 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.gui;

import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import net.reneknipschild.cheesecaskets.gui.components.BitmapComponent;
import net.reneknipschild.cheesecaskets.tools.BitmapLoader;

public class BetaInfo extends Thread {
	private Frame info;
	
	private BitmapComponent image;

	public void run() {
		setName("BetaInfo");
		info = new Frame("CheeseCaskets");
		info.setAlwaysOnTop(true);
		info.setSize(new Dimension(422, 302));
		info.setResizable(false);
		info.setLocationRelativeTo(null);
		info.setUndecorated(true);
		info.setCursor(new Cursor(Cursor.HAND_CURSOR));
		info.setIconImage(BitmapLoader.getImage("Icon.png"));
		image = new BitmapComponent("BetaInfo.png");
		info.add(image);
		info.setVisible(true);
		image.addMouseListener(new MouseListener() {
			public void mouseClicked(MouseEvent event) {
				
			}
			public void mouseEntered(MouseEvent event) {
				
			}
			public void mouseExited(MouseEvent event) {
				
			}
			public void mousePressed(MouseEvent event) {
				
			}
			public void mouseReleased(MouseEvent event) {
				dispose();
			}
		});
	}

	public void dispose() {
		info.dispose();
		System.exit(0);
	}
}