/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: SplashScreen.java - gui
 * Version: 1.0.0
 * Last modified: 2008/07/23 23:44 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.gui;

import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Frame;

import net.reneknipschild.cheesecaskets.gui.components.BitmapComponent;
import net.reneknipschild.cheesecaskets.tools.BitmapLoader;

public class SplashScreen extends Thread {
	private Frame splash;

	public void run() {
		setName("SplashScreen");
		splash = new Frame("CheeseCaskets");
		splash.setAlwaysOnTop(true);
		splash.setSize(new Dimension(422, 262));
		splash.setResizable(false);
		splash.setLocationRelativeTo(null);
		splash.setUndecorated(true);
		splash.setCursor(new Cursor(Cursor.WAIT_CURSOR));
		splash.setIconImage(BitmapLoader.getImage("Icon.png"));
		splash.add(new BitmapComponent("SplashScreen.png"));
		splash.setVisible(true);
	}

	public void dispose() {
		splash.dispose();
	}
}