/*
 * ##################################################
 * #                                                #
 * # CheeseCaskets                                  #
 * # An extended TicTacToe game                     #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                          rk@reneknipschild.net #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: BitmapLoader.java - tools
 * Version: 1.0.0
 * Last modified: 2008/07/23 23:44 CEST
 * Author: DeeDee0815
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package net.reneknipschild.cheesecaskets.tools;

import java.awt.Image;
import java.awt.Toolkit;

import javax.swing.ImageIcon;

public class BitmapLoader {
	public static Image getImage(String name) {
		return Toolkit.getDefaultToolkit().getImage(ClassLoader.getSystemResource("net/reneknipschild/cheesecaskets/resources/images/" + name));
	}

	public static ImageIcon getIcon(String name) {
		return new ImageIcon(ClassLoader.getSystemResource("net/reneknipschild/cheesecaskets/resources/images/" + name));
	}
}